# LinksHandler (Crawler-commons 1.3 API)

Package crawlercommons.sitemaps.sax.extension

## Class LinksHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - crawlercommons.sitemaps.sax.extension.ExtensionHandler
    - - crawlercommons.sitemaps.sax.extension.LinksHandler

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

    public class LinksHandler
    extends ExtensionHandler

Handle SAX events in the Google Image sitemap extension namespace.

### Field Summary

### Fields inherited from class crawlercommons.sitemaps.sax.extension.ExtensionHandler

`attributes, commaSeparated`

### Constructor Summary

Constructors
`LinksHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `startElement​(String uri, String localName, String qName, Attributes attributes)`

### Methods inherited from class crawlercommons.sitemaps.sax.extension.ExtensionHandler

`create, getAttributes, getDateValue, getFloatValue, getIntegerValue, getURLValue, getYesNoBooleanValue, reset`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LinksHandler

    public LinksHandler()

### Method Detail

#### startElement

    public void startElement​(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`
Throws:
  `SAXException`